<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<!DOCTYPE html>

<spring:url value="/authlogin/${typeAuthentication}" var="authentication" />

<html lang="en">
<head>
<meta charset="UTF-8">
<title>Soft Token Login</title>

<!-- CSS
================================================== -->
	<link rel="stylesheet" href="<c:url value="/css/reset.css" />">
	<link rel="stylesheet" href="<c:url value="/css/normalise.css" />">
	<link rel="stylesheet" href="<c:url value="/css/style.css" />">

	<!--[if lt IE 9]>
	<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

	<link rel="shortcut icon" href="<c:url value="/img/swivel.ico" />">

</head>

<body>

	<!-- Container -->
	<div class="login-container">

		<!-- Page Head -->
		<div class="page-head">
			<a href="http://www.swivelsecure.com" class="logo"><img src="<c:url value="/img/swivel-logo.png" />" alt="Swivel Secure"></a>
		</div>
		<!-- End Page Head -->

		<!-- Page Body -->
		<div class="page-body cf">

			<h1 class="login-title">Soft Token Login</h1>
			
			<c:if test="${not empty error}">
			    	<div class="error-box">
						${error}
		    		</div>
		    </c:if>				
			
			<form id=form1 name=form1 action="${authentication}" method="post" class="login-form">

					<input type="hidden" name="SAMLRequest" value="${SAMLRequest}" />
					<input type="hidden" name="RelayState" value="${RelayState}" />					

					<label for="username">Username:</label> 
					<input id="username" value="${username}" name="username" type="text"> 
					
					<label for="password">Password:</label> 					
					<input id="password" name="password" value="" type="password"> 
					
					<label for="otc">OTC:</label>
					<input id="otc" name="otc" value="" type="password">

					<button name="submit" type="submit" class="btn btn-primary">Submit</button>
					<button name="reset" type="reset" class="btn">Reset</button>

			</form>

		</div>
		<!-- End Page Body -->
	</div>
	<!-- End Container -->
	
	<!-- Footer -->
	<div class="footer login-footer">
		
		<p class="copyright">&copy; 2014 Swivel Secure. All rights reserved.</p>

		<p class="version-no">Version: <spring:message code = "sam.version" /></p>

	</div>
	<!-- End Footer -->
</body>
</html>